/* Importar a fonte Chango do Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Chango:wght@400&display=swap');

/* Reset de margens e preenchimentos e box-sizing para todos os elementos */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Estilos para o header */
header {
  background-color: black;
  display: flex;
  justify-content: flex-start;
  padding: 20px;
  align-items: center;
  width: 100%; /* Faz o header ocupar toda a largura */
  position: fixed; /* Fixa o menu no topo */
  top: 0;
  left: 0;
}

.logo {
  display: flex;
  align-items: center;
}

.logo h2 {
  font-size: 36px;
  color: white;
  margin-left: 20px;
  font-family: 'Chango', sans-serif;
  text-shadow: 2px 2px 4px rgba(255, 255, 255, 0.6);
}

.logo img {
  width: 100px;
  height: 100px;
}

/* Estilos gerais para o fundo e corpo */
body {
  background-color: #f3ead7;
  font-family: 'Chango', sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  margin: 0;
  padding-top: 140px; /* Adiciona um espaço para o conteúdo abaixo do header fixo */
}

.container {
  max-width: 600px;
  background-color: #f9f3e2;
  text-align: center;
  padding: 40px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1); /* Adiciona uma sombra */
  border-radius: 10px; /* Bordas arredondadas */
  margin-bottom: 50px;
}

/* Título principal */
h2 {
  font-size: 28px;
  margin: 20px 0;
  font-weight: bold;
  letter-spacing: 2px;
}

/* Ícone de gato */
.cat-icon {
    width: 150px; /* Aumenta o tamanho da imagem */
    height: auto; /* Mantém a proporção da imagem */
    margin: 20px 0;
  }

/* Formulário */
form {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
}

/* Campo de entrada */
input[type="text"] {
  width: 100%;
  padding: 15px;
  font-size: 16px;
  color: #fff;
  background-color: #000;
  border: 2px solid #000;
  border-radius: 5px;
  text-align: center;
}

/* Placeholder personalizado */
input[type="text"]::placeholder {
  color: #fff;
  opacity: 1;
  font-weight: bold;
}

/* Botão de confirmação */
button {
  background-color: #000;
  color: #fff;
  padding: 15px;
  font-size: 18px;
  border: none;
  cursor: pointer;
  text-transform: uppercase;
  border-radius: 20px;
  transition: background-color 0.3s;
  font-family: 'Chango', sans-serif;
  margin-top: 20px; 
}

button:hover {
  background-color: #333;
}

/* Estilo para o Footer */
footer {
    background-color: #000; /* Cor de fundo preta */
    color: #fff; /* Texto em branco */
    text-align: center; /* Centraliza o texto */
    padding: 5px; /* Espaçamento ao redor do texto */
    position: fixed; /* Fixa o footer na parte inferior da página */
    bottom: 0; /* Posiciona o footer na parte inferior */
    width: 100%; /* Faz o footer ocupar toda a largura da tela */
    font-family: 'Chango', sans-serif; /* Mantém a fonte consistente */
    font-size: 17px; /* Tamanho de fonte */
  }
  
/* Estilo normal do link */
h2 a {
  text-decoration: none;
  color: white;
  font-family: 'Chango', sans-serif;
  transition: color 0.3s ease, transform 0.3s ease;
}

/* Estilo ao passar o mouse */
h2 a:hover {
  color: #D2B48C; 
  transform: scale(1.1); /* Aumenta o tamanho do texto em 10% */
}
  